1. Quotes
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
          POST
        • Accept a trading quote
          POST
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
        • List earn asset configurations
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
    • Schemas
      • CreateQuoteRequest
      • CreateQuoteResponse
      • QuoteDetailResponse
      • SingleItemResponseCreateQuoteResponse
      • AcceptQuoteExecutionResponse
      • AcceptQuoteResponse
      • AcceptQuoteTaxResponse
      • SingleItemResponseAcceptQuoteResponse
      • EarnActionRequest
      • EarnActionResponse
      • SingleItemResponseEarnActionResponse
      • SingleItemResponseTickerResponse
      • TickerResponse
      • ListItemResponsePortfolioPositionResponse
      • MoneyResponse
      • PortfolioPositionResponse
      • Data
      • Datapoint
      • PortfolioHistoryResponse
      • CompensatesInfoResponse
      • OperationResponse
      • OperationTransactionResponse
      • PaginatedListItemResponseOperationResponse
      • TradeResponse
      • EarnAssetConfigResponse
      • PaginatedListItemResponseEarnAssetConfigResponse
      • CurrencyResponse
      • ListItemResponseCurrencyResponse
      • AssetResponse
      • PaginatedListItemResponseAssetResponse
  • MCP Server
    • Getting Started
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Quotes

Create a trading quote

POST
/v1/quotes

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "asset_id": "ea8962d5-edee-11eb-9bf0-06502b1fe55d",
    "currency_id": "ea96ccef-edee-11eb-9bf0-06502b1fe55d",
    "side": "BUY",
    "quantity": "0.1",
    "notional": "10"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/quotes' \
--header 'bp-broker-user-api-token-id;' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "asset_id": "ea8962d5-edee-11eb-9bf0-06502b1fe55d",
    "currency_id": "ea96ccef-edee-11eb-9bf0-06502b1fe55d",
    "side": "BUY",
    "quantity": "0.1",
    "notional": "10"
}'

Responses

🟢200OK
*/*
Quote created successfully
Body*/*

Example
{
    "data": {
        "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
        "status": "string",
        "side": "BUY",
        "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",
        "currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
        "quote": {
            "price": "string",
            "price_with_fee": "string",
            "fee": "string",
            "quantity": "string",
            "notional": "string",
            "expires_at": "string",
            "to_euro_rate": "string"
        },
        "ex_ante": {
            "instrument_isin": "US67066G1040",
            "costs_and_charges": {
                "breakdown": [
                    {
                        "type": "string",
                        "amount": "string",
                        "investment_percent": "string"
                    }
                ],
                "total_costs": {
                    "amount": "string",
                    "investment_percent": "string"
                }
            },
            "impact_on_performance": {
                "net_investment_after_costs": "string",
                "net_amount_after_costs": "string",
                "estimated_reduction_in_return_percent": "string",
                "illustration": {
                    "annual": "string",
                    "reduced": "string"
                }
            },
            "cumulative_costs": [
                {
                    "holding_period": "string",
                    "estimated_costs": "string",
                    "returns_percent_per_annum": "string"
                }
            ]
        },
        "key_information_documents": [
            {
                "country": "AT",
                "language": "de",
                "url": "string"
            }
        ],
        "warnings": [
            {
                "code": "string",
                "message": "string"
            }
        ],
        "trading_budget": {
            "buy_budget_remaining": 0,
            "sell_budget_remaining": 0,
            "limit_currency_id": "2d72a477-44d5-4726-a982-4a79658caff4"
        }
    }
}
🟠422Parameter Error
Modified at 2026-08-03 13:07:26
Previous
Migrating from the legacy API
Next
Accept a trading quote
Built with